summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Ruan K. F <ruan.klein@gmail.com>2015-01-20 20:18:48 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-20 20:18:48 +0700
commitdd323419f55a6bdcc79e2fd967dd55f87e269955 (patch)
tree345d0feac5165fbec263cef460023d2a7556644d /libraries
parent95ffeb6e836af927c10be9873b3d16c4ee17e56f (diff)
downloadslackbuilds-dd323419f55a6bdcc79e2fd967dd55f87e269955.tar.gz
slackbuilds-dd323419f55a6bdcc79e2fd967dd55f87e269955.tar.xz
libraries/libvorbisidec: Added (Ogg Vorbis 'Tremor' playback codec).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libvorbisidec/README7
-rw-r--r--libraries/libvorbisidec/libvorbisidec.SlackBuild99
-rw-r--r--libraries/libvorbisidec/libvorbisidec.info10
-rw-r--r--libraries/libvorbisidec/slack-desc18
4 files changed, 134 insertions, 0 deletions
diff --git a/libraries/libvorbisidec/README b/libraries/libvorbisidec/README
new file mode 100644
index 0000000000..6309a26307
--- /dev/null
+++ b/libraries/libvorbisidec/README
@@ -0,0 +1,7 @@
+The Tremor Vorbis I stream and file decoder provides an embeddable, integer-only library [libvorbisidec] intended
+for decoding all current and future Vorbis I compliant streams. The Tremor libvorbisidec library exposes an API intended
+to be as similar as possible to the familiar 'vorbisfile' library included with the open source Vorbis reference
+libraries distributed for free by Xiph.org.
+
+Tremor can be used along with any ANSI compliant stdio implementation for file/stream access, or use custom stream i/o
+routines provided by the embedded environment. Both uses are described in detail in documentation.
diff --git a/libraries/libvorbisidec/libvorbisidec.SlackBuild b/libraries/libvorbisidec/libvorbisidec.SlackBuild
new file mode 100644
index 0000000000..8ba757f616
--- /dev/null
+++ b/libraries/libvorbisidec/libvorbisidec.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for libvorbisidec
+
+# Copyright 2015 Ruan K. F <ruan.klein@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libvorbisidec
+VERSION=${VERSION:-1.0.2+svn16259}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOCS="CHANGELOG COPYING README"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -zxvf $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --includedir=/usr/include \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+VERSION=${VERSION/\+/}
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libvorbisidec/libvorbisidec.info b/libraries/libvorbisidec/libvorbisidec.info
new file mode 100644
index 0000000000..3e463a2669
--- /dev/null
+++ b/libraries/libvorbisidec/libvorbisidec.info
@@ -0,0 +1,10 @@
+PRGNAM="libvorbisidec"
+VERSION="1.0.2+svn16259"
+HOMEPAGE="https://www.xiph.org/"
+DOWNLOAD="https://launchpadlibrarian.net/35151187/libvorbisidec_1.0.2+svn16259.orig.tar.gz"
+MD5SUM="93dd41dd5344a1ad9f51589af6978948"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ruan K. F"
+EMAIL="ruan.klein@gmail.com"
diff --git a/libraries/libvorbisidec/slack-desc b/libraries/libvorbisidec/slack-desc
new file mode 100644
index 0000000000..d627f88fef
--- /dev/null
+++ b/libraries/libvorbisidec/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libvorbisidec: libvorbisidec (Ogg Vorbis 'Tremor' integer playback codec)
+libvorbisidec:
+libvorbisidec: The Tremor Vorbis I stream and file decoder provides an embeddable,
+libvorbisidec: integer-only library [libvorbisidec] intended for decoding all
+libvorbisidec: current and future Vorbis I compliant streams.
+libvorbisidec:
+libvorbisidec: Homepage: https://www.xiph.org/
+libvorbisidec:
+libvorbisidec:
+libvorbisidec: \ No newline at end of file